
Redmine - Defect #711

versions: name length limit is too short

2008-02-22 04:57 - chris mcharg

Status: Closed Start date: 2008-02-22

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Fixed Affected version:  

Description

The current maximum length for version names is too restrictive, especially in multibyte charsets.

Also, the current logic apears to cut multibyte characters that go over the limit, as in the following Japanese:

orig: testテストtestテスト漢字

result: testテストtestテスト漢�

Related issues:

Related to Redmine - Patch #712: Patch for issue #711 Closed 2008-02-22

Associated revisions

Revision 1220 - 2008-03-09 16:36 - Jean-Philippe Lang

Allow longer version names (#711, closes #712).

History

#1 - 2008-03-09 17:19 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Fixed

Fixed in r1220. The limit was set in the database to 255 to avoid multibyte chars problems.
